Bug 70300 - devel/porttools does not use EMAIL from ~/.porttools
Summary: devel/porttools does not use EMAIL from ~/.porttools
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sergei Kolobov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-11 14:00 UTC by Mohacsi Janos
Modified: 2006-05-02 15:22 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mohacsi Janos 2004-08-11 14:00:41 UTC
	devel/porttols does not suse EMAIL from ~/.porttools
	still tries to contruct from username@hostname

Fix: 

I did not have time to look in more detail. Probably EMAIL and AUTHOR
should be passed:
newfile -a $AUTHOR -e $EMAIL -pport.$1
How-To-Repeat: 	Define EMAIL in ~/.porttols then run port create.

	See transcript:

mohacsi@scone> more ~/.porttools
# FreeBSD Port Tools configuration file - see porttools(5)
# vim: ft=sh
EMAIL="janos.mohacsi@bsd.hu"
FULLNAME="Janos Mohacsi"
ORGANIZATION="NIIF/HUNGARNET"
BUILDROOT="/tmp"
ARCHIVE_DIR=""
DIFF_MODE="CVS"
DIFF_VIEWER="more"
PORTLINT_FLAGS="abct"
mohacsi@scone> port create test
mohacsi@scone> more test/Makefile 
# New ports collection makefile for:    test
# Date created:         2004-08-11
# Whom:                 Janos Mohacsi <mohacsi@scone.ki.iif.hu>
#
# $FreeBSD$
#

PORTNAME=       test
PORTVERSION=
Comment 1 Sergey Matveychuk freebsd_committer 2004-08-11 14:49:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sergei

Over to maintainer.
Comment 2 Sergei Kolobov freebsd_committer 2004-09-13 09:22:53 UTC
State Changed
From-To: open->analyzed

I will commit the fix for this after the freeze is over.
Comment 3 Florent Thoumie 2005-11-29 19:18:28 UTC
	Anything new ?

-- 
Florent Thoumie
flz@FreeBSD.org
FreeBSD committer
Comment 4 Sergei Kolobov freebsd_committer 2006-05-02 15:22:15 UTC
State Changed
From-To: analyzed->closed

Committed, with minor changes. Thanks!